Bug 408956 - Embedded cover in MP4
Summary: Embedded cover in MP4
Status: RESOLVED FIXED
Alias: None
Product: kdemultimedia
Classification: Miscellaneous
Component: ffmpegthumbs (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Multimedia Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-20 16:03 UTC by Heiko Schaefer
Modified: 2020-07-26 22:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Schaefer 2019-06-20 16:03:52 UTC
It would be nice if ffmpegthumbs would, if a MP4 video file is detected, first check if there is an embedded artwork/cover and if not, than proceed as normal.

I did a stand-alone thumbnailer, which demonstrates how it can get achieved (easy) to extract the cover art by using the taglib (libtag1): https://github.com/velnias75/kde-thumbnailer-mp4cover
Comment 1 Christoph Feck 2019-07-16 10:14:03 UTC
Would you like to propose your changes via phabricator?
Comment 2 Heiko Schaefer 2019-07-16 10:20:53 UTC
(In reply to Christoph Feck from comment #1)
> Would you like to propose your changes via phabricator?

The current maintainer of the code can't do it?
I need to get used with phabricator first, than I could do it.
Comment 3 Christoph Feck 2019-08-05 23:02:38 UTC
It is as simple as creating an account and pasting the patch into https://phabricator.kde.org/differential/diff/create/

And no, we don't "steal" patches, but require recorded contributions to be legally safe.
Comment 4 Heiko Schaefer 2019-08-15 08:25:28 UTC
(In reply to Christoph Feck from comment #3)
> It is as simple as creating an account and pasting the patch into
> https://phabricator.kde.org/differential/diff/create/
> 
> And no, we don't "steal" patches, but require recorded contributions to be
> legally safe.

I've created a patch (or at least tries to): https://phabricator.kde.org/D23168

Else, I never had any thought about 'stealing' :-O
Comment 5 Elvis Angelaccio 2020-07-26 22:35:09 UTC
Git commit d2ab28b9a4bcc8270ae0e0995710384eec4d46dc by Elvis Angelaccio, on behalf of Heiko Schaefer.
Committed on 26/07/2020 at 22:32.
Pushed by elvisangelaccio into branch 'master'.

Use embedded cover in MP4 video files

M  +2    -1    CMakeLists.txt
A  +90   -0    cmake/FindTaglib.cmake
M  +22   -0    ffmpegthumbnailer.cpp
M  +1    -1    ffmpegthumbnailer/filmstripfilter.h
M  +0    -2    ffmpegthumbnailer/moviedecoder.cpp
M  +1    -1    tests/CMakeLists.txt

https://invent.kde.org/multimedia/ffmpegthumbs/commit/d2ab28b9a4bcc8270ae0e0995710384eec4d46dc